summaryrefslogtreecommitdiff
path: root/tests/misc/env
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2010-09-07 15:53:14 +0100
committerPádraig Brady <P@draigBrady.com>2010-09-07 17:33:16 +0100
commitea1b8bafc011689b17b3f732c4dc11f3c23fbdfe (patch)
tree6b4e2ea226a1ff3c59310797669eb5887ee15a59 /tests/misc/env
parentc52d220c300c63a93ffd39dd29e89201e6fd929c (diff)
downloadcoreutils-ea1b8bafc011689b17b3f732c4dc11f3c23fbdfe.tar.xz
tests: work around a failure with dash 0.5.4
* tests/misc/env: Check that the shell can support the operation, before filtering through `env`. Note dash 0.5.5 is unaffected by this issue.
Diffstat (limited to 'tests/misc/env')
-rwxr-xr-xtests/misc/env3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/misc/env b/tests/misc/env
index 5ea01d5a5..96a4eaba6 100755
--- a/tests/misc/env
+++ b/tests/misc/env
@@ -143,8 +143,9 @@ chmod +x c=d || framework_failure
test "x`env c=d echo fail`" = xfail || fail=1
test "x`env -- c=d echo fail`" = xfail || fail=1
test "x`env ./c=d echo fail`" = xfail || fail=1
-test "x$(env sh -c '\c=d echo fail')" = xpass || fail=1
test "x$(env sh -c 'exec "$@"' sh c=d echo fail)" = xpass || fail=1
+test "x$(sh -c '\c=d echo fail')" = xpass && #dash 0.5.4 fails so check first
+ { test "x$(env sh -c '\c=d echo fail')" = xpass || fail=1; }
# catch unsetenv failure, broken through coreutils 8.0
env -u a=b true && fail=1